from django.contrib import admin
from jumbo_catalog.models import CatalogueProduct
from jumbo_product.models import Product
from jumbo_product.admin import ProductAdmin

admin.site.unregister(Product)

class CatalogueProductInline(admin.StackedInline):
    model = CatalogueProduct

class ExtendedProductAdmin(ProductAdmin):
    inlines = ProductAdmin.inlines + [CatalogueProductInline,]

admin.site.register(Product, ExtendedProductAdmin)